[arch-commits] Commit in glib2/repos (8 files)
Jan Steffens
heftig at archlinux.org
Wed Nov 25 22:55:08 UTC 2015
Date: Wednesday, November 25, 2015 @ 23:55:07
Author: heftig
Revision: 251967
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
glib2/repos/testing-i686/
glib2/repos/testing-i686/PKGBUILD
(from rev 251966, glib2/trunk/PKGBUILD)
glib2/repos/testing-i686/memleak.patch
(from rev 251966, glib2/trunk/memleak.patch)
glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch
(from rev 251966, glib2/trunk/revert-warn-glib-compile-schemas.patch)
glib2/repos/testing-x86_64/
glib2/repos/testing-x86_64/PKGBUILD
(from rev 251966, glib2/trunk/PKGBUILD)
glib2/repos/testing-x86_64/memleak.patch
(from rev 251966, glib2/trunk/memleak.patch)
glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch
(from rev 251966, glib2/trunk/revert-warn-glib-compile-schemas.patch)
-------------------------------------------------------+
testing-i686/PKGBUILD | 69 ++++++++++++++++
testing-i686/memleak.patch | 25 +++++
testing-i686/revert-warn-glib-compile-schemas.patch | 33 +++++++
testing-x86_64/PKGBUILD | 69 ++++++++++++++++
testing-x86_64/memleak.patch | 25 +++++
testing-x86_64/revert-warn-glib-compile-schemas.patch | 33 +++++++
6 files changed, 254 insertions(+)
Copied: glib2/repos/testing-i686/PKGBUILD (from rev 251966, glib2/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2015-11-25 22:55:07 UTC (rev 251967)
@@ -0,0 +1,69 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.46.2
+pkgrel=2
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'libelf')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ revert-warn-glib-compile-schemas.patch memleak.patch)
+sha256sums=('5031722e37036719c1a09163cc6cf7c326e4c4f1f1e074b433c156862bd733db'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97'
+ '8337eeba4a32133d41575c8338fca32ac6a867e6e4a4e021355fcdeb606420a6')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+ patch -Np1 -i ../memleak.patch
+}
+
+build() {
+ cd glib-$pkgver
+ PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package_glib2() {
+ depends=('pcre' 'libffi')
+ optdepends=('python2: for gdbus-codegen and gtester-report'
+ 'libelf: gresource inspection tool')
+ options=('!docs' '!emptydirs')
+ license=('LGPL')
+
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+ pkgdesc="Documentation for glib2"
+ conflicts=('gobject2-docs')
+ replaces=('gobject2-docs')
+ license=('custom')
+ options=('docs' '!emptydirs')
+
+ cd glib-$pkgver/docs
+ make DESTDIR="${pkgdir}" install
+ install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+ install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+ rm -rf "${pkgdir}/usr/share/man"
+}
Copied: glib2/repos/testing-i686/memleak.patch (from rev 251966, glib2/trunk/memleak.patch)
===================================================================
--- testing-i686/memleak.patch (rev 0)
+++ testing-i686/memleak.patch 2015-11-25 22:55:07 UTC (rev 251967)
@@ -0,0 +1,25 @@
+From db641e32920ee8b553ab6f2d318aafa156e4390c Mon Sep 17 00:00:00 2001
+From: Evangelos Foutras <evangelos at foutrelis.com>
+Date: Wed, 25 Nov 2015 23:29:18 +0200
+Subject: GDBusProxy: Fix a memory leak during initialization
+
+https://bugzilla.gnome.org/show_bug.cgi?id=758641
+---
+ gio/gdbusproxy.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/gio/gdbusproxy.c b/gio/gdbusproxy.c
+index 52a22fb..7b1140f 100644
+--- a/gio/gdbusproxy.c
++++ b/gio/gdbusproxy.c
+@@ -1720,6 +1720,7 @@ async_initable_init_second_finish (GAsyncInitable *initable,
+ if (result != NULL)
+ {
+ process_get_all_reply (proxy, result);
++ g_variant_unref (result);
+ }
+
+ proxy->priv->initialized = TRUE;
+--
+cgit v0.11.2
+
Copied: glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch (from rev 251966, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-i686/revert-warn-glib-compile-schemas.patch (rev 0)
+++ testing-i686/revert-warn-glib-compile-schemas.patch 2015-11-25 22:55:07 UTC (rev 251967)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2
Copied: glib2/repos/testing-x86_64/PKGBUILD (from rev 251966, glib2/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2015-11-25 22:55:07 UTC (rev 251967)
@@ -0,0 +1,69 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.46.2
+pkgrel=2
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'libelf')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+ revert-warn-glib-compile-schemas.patch memleak.patch)
+sha256sums=('5031722e37036719c1a09163cc6cf7c326e4c4f1f1e074b433c156862bd733db'
+ '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97'
+ '8337eeba4a32133d41575c8338fca32ac6a867e6e4a4e021355fcdeb606420a6')
+
+prepare() {
+ cd glib-$pkgver
+ patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+ patch -Np1 -i ../memleak.patch
+}
+
+build() {
+ cd glib-$pkgver
+ PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --with-pcre=system \
+ --disable-fam
+ make
+}
+
+check() {
+ cd glib-$pkgver
+ #make -k check || :
+}
+
+package_glib2() {
+ depends=('pcre' 'libffi')
+ optdepends=('python2: for gdbus-codegen and gtester-report'
+ 'libelf: gresource inspection tool')
+ options=('!docs' '!emptydirs')
+ license=('LGPL')
+
+ cd glib-$pkgver
+ make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+ for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+ chmod -x "$_i"
+ done
+
+ # Our gdb does not ship the required python modules, so remove it
+ rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+ pkgdesc="Documentation for glib2"
+ conflicts=('gobject2-docs')
+ replaces=('gobject2-docs')
+ license=('custom')
+ options=('docs' '!emptydirs')
+
+ cd glib-$pkgver/docs
+ make DESTDIR="${pkgdir}" install
+ install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+ install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+ rm -rf "${pkgdir}/usr/share/man"
+}
Copied: glib2/repos/testing-x86_64/memleak.patch (from rev 251966, glib2/trunk/memleak.patch)
===================================================================
--- testing-x86_64/memleak.patch (rev 0)
+++ testing-x86_64/memleak.patch 2015-11-25 22:55:07 UTC (rev 251967)
@@ -0,0 +1,25 @@
+From db641e32920ee8b553ab6f2d318aafa156e4390c Mon Sep 17 00:00:00 2001
+From: Evangelos Foutras <evangelos at foutrelis.com>
+Date: Wed, 25 Nov 2015 23:29:18 +0200
+Subject: GDBusProxy: Fix a memory leak during initialization
+
+https://bugzilla.gnome.org/show_bug.cgi?id=758641
+---
+ gio/gdbusproxy.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/gio/gdbusproxy.c b/gio/gdbusproxy.c
+index 52a22fb..7b1140f 100644
+--- a/gio/gdbusproxy.c
++++ b/gio/gdbusproxy.c
+@@ -1720,6 +1720,7 @@ async_initable_init_second_finish (GAsyncInitable *initable,
+ if (result != NULL)
+ {
+ process_get_all_reply (proxy, result);
++ g_variant_unref (result);
+ }
+
+ proxy->priv->initialized = TRUE;
+--
+cgit v0.11.2
+
Copied: glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch (from rev 251966, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-x86_64/revert-warn-glib-compile-schemas.patch (rev 0)
+++ testing-x86_64/revert-warn-glib-compile-schemas.patch 2015-11-25 22:55:07 UTC (rev 251967)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/. Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used. This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState *state,
+ return;
+ }
+
++ if (path && (g_str_has_prefix (path, "/apps/") ||
++ g_str_has_prefix (path, "/desktop/") ||
++ g_str_has_prefix (path, "/system/")))
++ g_printerr ("warning: Schema '%s' has path '%s'. Paths starting with "
++ "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+ state->schema_state = schema_state_new (path, gettext_domain,
+ extends, extends_name, list_of);
+
+--
+cgit v0.9.0.2
More information about the arch-commits
mailing list